import { DinoLoginAuthInfo } from '@dino-dev/vue3-core'
import persist from 'pinia-plugin-persist-uni'
import { useUserStore } from './user'
import { isNil } from 'lodash-es'
import { useTokenStore } from './token'

const pinia = createPinia()

pinia.use(persist)

export const usePinia = () => pinia

export * from './user'
export * from './token'

export const onUserLogin = (login: DinoLoginAuthInfo<number>) => {
  if (!login) {
    return
  }
  if (!isNil(login.user)) {
    console.log(login.user)

    useUserStore().setUser(login.user)
  } else {
    useUserStore().delUser()
  }
  if (!isNil(login.currentTenant)) {
    useUserStore().setTenant(login.currentTenant)
  } else {
    useUserStore().delTenant()
  }

  if (!isNil(login.authToken)) {
    useTokenStore().setToken(login.authToken)
  } else {
    useTokenStore().delToken()
  }
}
